Search Addresses with Multiple Filters

Returns one or more Company addresses based on the filter parameters. You can use this to make refined searches, such as locating a particular address by its label or viewing all addresses in a specific country. Equivalent Storefront GraphQL API Query: `addresses`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

companyIdstringRequired

Request

This endpoint expects an object.
filtersobjectOptional
offsetdoubleOptional
Pagination offset for the results.
limitdoubleOptional
Pagination limit for the results.
qstringOptional
The search string for the request. Its value determines the results returned by the request.

Response

OK
codedoubleDefaults to 200
dataobject
messagestringDefaults to SUCCESS